import 'package:equatable/equatable.dart';

abstract class CustomNoticeEvent extends Equatable {
  const CustomNoticeEvent();
  @override
  List<Object> get props => [];
}

/// 初始化事件
class CustomNoticeInitEvent extends CustomNoticeEvent{
  final Map<String, dynamic> model;
  const CustomNoticeInitEvent({this.model});
  @override
  List<Object> get props => [this.model];
}